Bug 2027484 - Provide info about AppStream unmanaged content
Summary: Provide info about AppStream unmanaged content
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Documentation
Version: 6.10.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: Unspecified
Assignee: Ian Fowler
QA Contact: satellite-doc-list
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-11-29 18:52 UTC by Lukas Zapletal
Modified: 2022-05-19 09:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-05-19 09:11:54 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker SATDOC-709 0 None None None 2022-03-24 18:00:52 UTC

Description Lukas Zapletal 2021-11-29 18:52:54 UTC
Docs RFE (probably Provisioning Guide could be a good candidate):

When RHEL8 kickstart BaseOS repository is synced, Pulp automatically includes all sub-repositories as unmanaged repositories. This effectively mean that AppStream sub-repository these cannot be managed, only published or promoted but it is not possible to filter packages, errata or any advanced operations.

In order to successfully provision a RHEL8 system, both BaseOS and AppStream repositories must be present. Therefore we need to recommend to always kickstart systems from repositories without any advanced content operations (I am not sure if "unmanaged" is a good term we should probably find something) and configure systems to subscribe to managed content after installation by providing valid and fully managed content view with RHEL BaseOS and AppStream as well as additional repositories.

Hope it makes sense, this is not my expertise so probably someone from Katello or Pulp could fill the details.

https://projects.theforeman.org/issues/33676


Note You need to log in before you can comment on or make changes to this bug.